org.apache.tomcat.util.net

## Enum SSLHostConfig.CertificateVerification

- java.lang.Object
- - java.lang.Enum<SSLHostConfig.CertificateVerification>
  - - org.apache.tomcat.util.net.SSLHostConfig.CertificateVerification

- All Implemented Interfaces:
    Serializable, Comparable<SSLHostConfig.CertificateVerification>
  Enclosing class:
    SSLHostConfig

      public static enum SSLHostConfig.CertificateVerification
      extends Enum<SSLHostConfig.CertificateVerification>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `OPTIONAL`
    `OPTIONAL_NO_CA`
    `REQUIRED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSLHostConfig.CertificateVerification` | `fromString(String value)`
    `static SSLHostConfig.CertificateVerification` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SSLHostConfig.CertificateVerification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SSLHostConfig.CertificateVerification NONE

    - #### OPTIONAL_NO_CA

          public static final SSLHostConfig.CertificateVerification OPTIONAL_NO_CA

    - #### OPTIONAL

          public static final SSLHostConfig.CertificateVerification OPTIONAL

    - #### REQUIRED

          public static final SSLHostConfig.CertificateVerification REQUIRED

  - ### Method Detail

    - #### values

          public static SSLHostConfig.CertificateVerification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSLHostConfig.CertificateVerification c : SSLHostConfig.CertificateVerification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSLHostConfig.CertificateVerification valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static SSLHostConfig.CertificateVerification fromString(String value)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.